Bug 799729 - RFE: mount /usr from initramfs in F16
RFE: mount /usr from initramfs in F16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 12:42 EST by Piergiorgio Sartor
Modified: 2012-07-03 11:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 11:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2012-03-04 12:42:42 EST
Description of problem:

In the scope of the "usrmove" coming feature, it would be nice to update "dracut" (or whatever is responsible) in F16 (and maybe F15) so that /usr, if on separate partition/volume (lvm too), is mounted from "initramfs".

This will fix the "systemd" complain about a broken system and will make the "usrmove" transition smoother.

I know this is a bit late, but if not too much effort it would be great to have such modification implemented in the current (supported) Fedora releases.

Of course, if this feature is already available, I apologize in advance for this report. In this case, please, provide details or a pointer to the relevant information.

Thanks a lot in advance,

bye,

pg
Comment 1 Piergiorgio Sartor 2012-06-07 12:44:19 EDT
Hi all,

I just tryed to copy the "98usrmount" dracut module, from F17 dracut, to the respective position in my F16 system, i.e. "/usr/share/dracut/modules.d".

After reboot "/usr" was mounted by dracut and "systemd" did not complain anymore about the separated "/usr".

So, it seems it could be sufficient to add this module to dracut of F16.

Could you please consider to do it?

If not, please close this bug.

Thanks a lot in advance,

bye,

pg
Comment 2 Fedora Update System 2012-07-03 03:56:07 EDT
dracut-018-55.git20120606.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-9063/dracut-018-55.git20120606.fc16
Comment 3 Fedora Update System 2012-07-03 11:48:22 EDT
dracut-018-55.git20120606.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.